﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3034B: (1 year) VER VISA /5800A+5Ch
DATE:                  2011-01-25 08:51:28
AUTHOR:                Fluke
REVISION:              $Revision: 18572 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       212
CONFIGURATION:         Fluke 5800A (C5)
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3034B
# 
#  Source(s):
#        TDS3000B Series Digital Phosphor Oscilloscopes
#        Service Manual, 071-0972-04
# 
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000B Ethernet Interface Connection
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test VISA
#        Sub Tek TDS3000 Signal Path Compensation Cal VISA
#        Sub Tek TDS3000B (1 yr) DCV VISA /5800
#        Sub Tek TDS3000B (1 yr) Bandwidth VISA /5800
#        Sub Tek TDS3000B (1 yr) Full BW Trig VISA /5800
#        Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /5800
#        Sub Tek TDS3000B (1 yr) Sample Rate VISA /5800
#        Sub Tek TDS3000 Select Channel VISA
#        Sub Tek TDS3000 Trigger Check and Level Adjust VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5800                                                    C2
  1.003  5800         300MH                        1Vpp           LS S6 S  L
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  IF           NOT(VERSIONCHECK("7.3.38"))
  1.008  END
  1.009  ENDIF

  1.010  CALL         Sub Display Copyright
  1.011  CALL         Sub High Voltage Safety Warning
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  TARGET
  1.016  DISP         Ensure a minimum UUT warm-up time of at least
  1.016  DISP         20 minutes has been allowed to elapse, prior
  1.016  DISP         to beginning verification.

  1.017  CALL         Sub Tek TDS3000B Ethernet Interface Connection

  1.018  VISA         *RST

  1.019  HEAD         UUT IDENTIFICATION
  1.020  CALL         Sub IEEE-488.2 Identification Query VISA

  1.021  MATH         @UUT_Manufacturer = "Tektronix"
  1.022  MATH         @UUT_Model        = "TDS 3034B"
  1.023  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.024  JMPL         END                           @Abort

  1.025  CALL         Sub Tek TDS3000 Check Firmware Version
  1.026  JMPL         END                           @Abort

  1.027  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.028  CALL         Sub Tek TDS3000 Signal Path Compensation Cal VISA
  1.029  JMPL         END                           @Abort

  1.030  CALL         Sub Tek TDS3000 Self-Test VISA
  1.031  JMPL         END                           @Abort

  1.032  DISP         Connect the 58xxA to the UUT as follows:
  1.032  DISP
  1.032  DISP         [32] Connect the 58xxA CHAN 1 to the UUT CH 1.
  1.032  DISP         [32] Connect the 58xxA CHAN 2 to the UUT CH 2.
  1.032  DISP         [32] Connect the 58xxA CHAN 3 to the UUT CH 3.
  1.032  DISP         [32] Connect the 58xxA CHAN 4 to the UUT CH 4.

  1.033  MATH         @Chan = 1
  1.034  M5800                                                    C1
  1.035  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /5800

  1.036  MATH         @Chan = 2
  1.037  M5800                                                    C2
  1.038  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /5800

  1.039  MATH         @Chan = 3
  1.040  M5800                                                    C3
  1.041  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /5800

  1.042  MATH         @Chan = 4
  1.043  M5800                                                    C4
  1.044  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /5800

  1.045  MATH         @Chan = 1
  1.046  M5800                                                    C1
  1.047  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /5800

  1.048  MATH         @Chan = 2
  1.049  M5800                                                    C2
  1.050  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /5800

  1.051  MATH         @Chan = 3
  1.052  M5800                                                    C3
  1.053  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /5800

  1.054  MATH         @Chan = 4
  1.055  M5800                                                    C4
  1.056  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /5800

  1.057  MATH         @Chan = 1
  1.058  M5800                                                    C1
  1.059  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /5800

  1.060  MATH         @Chan = 2
  1.061  M5800                                                    C2
  1.062  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /5800

  1.063  MATH         @Chan = 3
  1.064  M5800                                                    C3
  1.065  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /5800

  1.066  MATH         @Chan = 4
  1.067  M5800                                                    C4
  1.068  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /5800

  1.069  MATH         @Chan = 1
  1.070  M5800                                                    C1
  1.071  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /5800

  1.072  MATH         @Chan = 2
  1.073  M5800                                                    C2
  1.074  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /5800

  1.075  MATH         @Chan = 3
  1.076  M5800                                                    C3
  1.077  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /5800

  1.078  MATH         @Chan = 4
  1.079  M5800                                                    C4
  1.080  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /5800

  1.081  MATH         @Chan = 1
  1.082  M5800                                                    C1
  1.083  CALL         Sub Tek TDS3000B (1 yr) Sample Rate VISA /5800

  1.084  LABEL        END
  1.085  HEAD         -2

  1.086  IF           @Abort
  1.087  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.088  ELSE
  1.089  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.090  ENDIF

  1.091  END
